[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Web page updated + possible bug in perl_5.005-02.1/sgmlspm_1.03ii-8

Le Thu, Oct 08, 1998 at 09:36:21PM +0200, Ardo van Rangelrooij écrivait:
> Hi,
> This probably means that the @INC built-in array of Perl is not
> containing the directory /usr/lib/perl5/5.005.

No, it's the contrary. He uses perl5.005 which do not look
into /usr/lib/perl5 but in /usr/lib/perl5/5.005. The next perl
package will probably correct this by adding /usr/lib/perl5 at the
end of the @INC array.

> Since /usr/lib/perl5/5.005 is not listed we're probably having a
> problem at hand.  Maybe a Perl bug?

Not at all. Perl 5.004 would work with the sgmlspm package. But
perl5.005 do not.

The perl package will be corrected by adding /usr/lib/perl5 
in @INC, but in the long term, we should move all perl module packaged in
a custom "debian" directory used by all version of perl distributed
in .deb. Have a look in the other threads about Perl.

Hertzog Raphaël ¤ 0C4CABF1 ¤ http://www.mygale.org/~hra/

Reply to: